%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}

%if 0%{?fedora}
    %{!?fedora_version: %define fedora_version %fedora}
%endif

Summary:        Automated Usenet downloader for Newzbin (NZB) files
Name:           lottanzb
Version:        0.5.3
Release:        1%{dist}
URL:            http://www.lottanzb.org/
Source0:        http://www.lottanzb.org/releases/%{name}-%{version}.tar.gz
License:        GPLv3+
Group:          Networking/News
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  intltool
Requires:       python-kiwi >= 1.9.9
Requires:       hellanzb >= 0.13

%if 0%{?suse_version}
BuildRequires:  update-desktop-files
Requires:       gtk2 >= 2.16
Requires:       python-gtk >= 2.14
%{py_requires}
%endif

%if 0%{?fedora_version}
BuildRequires:  desktop-file-utils
BuildRequires:  python-devel
Requires:       gtk2 => 2.16
Requires:       pygtk2 >= 2.14
%endif

%description
LottaNZB aims to simplify and automate the download of binary news from the
Usenet. You can tell LottaNZB what to download using NZB files, which are
created by many Usenet search engines. LottaNZB integrates nicely with GNOME
desktops and uses the mature HellaNZB software as its foundation.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}

%{__python} setup.py install    \
    --prefix=%{_prefix}         \
    --root=%{buildroot}         \
    --packaging-mode

%if 0%{?suse_version}  
    %suse_update_desktop_file -n %{name}
%endif

%if 0%{?fedora_version}
    desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%endif

%clean
%{__rm} -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
scrollkeeper-update -q || :

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{python_sitelib}/lottanzb/*
%{python_sitelib}/lottanzb-%{version}-py?.?.egg-info
%{_datadir}/application-registry/lottanzb.applications
%{_datadir}/applications/lottanzb.desktop
%{_datadir}/apport/package-hooks/*
%{_datadir}/doc/lottanzb/*
%{_datadir}/gnome/help/lottanzb/*
%{_datadir}/locale/*
%{_datadir}/lottanzb/*
%{_datadir}/icons/*
%{_datadir}/man/man1/lottanzb.1.gz
%{_datadir}/mime-info/lottanzb.*
%{_datadir}/mime/packages/*
%{_datadir}/omf/lottanzb/*
%doc README LICENSE NEWS

%changelog
* Sun Jan 17 2010 Severin Heiniger <severinheiniger@gmail.com> 0.5.3-1
- new upstream release
* Sat Nov 28 2009 Severin Heiniger <severinheiniger@gmail.com> 0.5.2-1
- new upstream release
* Sun Sep 20 2009 Severin Heiniger <severinheiniger@gmail.com> 0.5.1-1
- new upstream release
* Sat Sep 5 2009 Severin Heiniger <severinheiniger@gmail.com> 0.5-1
- new upstream release
* Mon Jun 15 2009 Leigh Scott <leigh123linux@googlemail.com> 0.4.1-1
- first build
